commit:     32d4feb8912ac20396e86e9115f672f6fa36ba60
Author:     Rick Farina <zerochaos <AT> gentoo <DOT> org>
AuthorDate: Tue Feb  8 03:11:21 2022 +0000
Commit:     Rick Farina <zerochaos <AT> gentoo <DOT> org>
CommitDate: Tue Feb  8 03:12:45 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=32d4feb8

net-wireless/gnuradio: add 3.8.5.0

Signed-off-by: Rick Farina <zerochaos <AT> gentoo.org>
Closes: https://bugs.gentoo.org/829272

 net-wireless/gnuradio/Manifest                     |  1 +
 ...nuradio-9999.ebuild => gnuradio-3.8.5.0.ebuild} | 32 ++++++++++++----------
 net-wireless/gnuradio/gnuradio-9999.ebuild         |  4 +--
 3 files changed, 20 insertions(+), 17 deletions(-)

diff --git a/net-wireless/gnuradio/Manifest b/net-wireless/gnuradio/Manifest
index 1ba5c22b436d..7d575ab9a89b 100644
--- a/net-wireless/gnuradio/Manifest
+++ b/net-wireless/gnuradio/Manifest
@@ -1 +1,2 @@
 DIST gnuradio-3.8.4.0.tar.gz 3395297 BLAKE2B 
454724e61306bee4991f8a44c80963080b632f767cbb70e00ee518aa096f150a9bb5c29304b9c30a84ab537b8b19ccd2955806fadb88a6cc4d24a8531e8c0127
 SHA512 
80d34c6351947f45decf8ba09288d4fc4c411c8d286d2765fad59da421b99c15a4c7b7c25a17c89dacfafd872f13ba8d9a8d84d89a35568e5b088f77fcaaae67
+DIST gnuradio-3.8.5.0.tar.gz 3399660 BLAKE2B 
19e3eecb40d7cdafe6fe551d3d36c0fcd34bb92ceb316537f4ebdc1c90d3c649daa1383f3642e2f64bba23026ed6638168fa77da0f21db03330b066e3108c880
 SHA512 
9b367c8afeb278b90e8ddd835e0ba301f07a53da26791e74913c812bde251daaa8f9611f21969938b215c9a110c9e69dfb6ec8b6d0db9c64013707c57596819a

diff --git a/net-wireless/gnuradio/gnuradio-9999.ebuild 
b/net-wireless/gnuradio/gnuradio-3.8.5.0.ebuild
similarity index 86%
copy from net-wireless/gnuradio/gnuradio-9999.ebuild
copy to net-wireless/gnuradio/gnuradio-3.8.5.0.ebuild
index c7bc68e24c4f..5251885bc66b 100644
--- a/net-wireless/gnuradio/gnuradio-9999.ebuild
+++ b/net-wireless/gnuradio/gnuradio-3.8.5.0.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 PYTHON_COMPAT=( python3_{7,8,9} )
 
 CMAKE_BUILD_TYPE="None"
-inherit cmake python-single-r1 virtualx xdg-utils desktop
+inherit cmake python-single-r1 virtualx xdg-utils
 
 DESCRIPTION="Toolkit that provides signal processing blocks to implement 
software radios"
 HOMEPAGE="https://www.gnuradio.org/";
@@ -17,11 +17,11 @@ if [[ ${PV} =~ "9999" ]]; then
        EGIT_BRANCH="maint-3.8"
        inherit git-r3
 else
-       
SRC_URI="https://github.com/gnuradio/gnuradio/releases/download/v${PV}/${P}.tar.xz";
+       
SRC_URI="https://github.com/gnuradio/gnuradio/archive/refs/tags/v${PV}.tar.gz 
-> ${P}.tar.gz"
        KEYWORDS="~amd64 ~arm ~x86"
 fi
 
-IUSE="+audio +alsa +analog +digital channels doc dtv examples fec +filter grc 
jack modtool oss performance-counters portaudio +qt5 sdl test trellis uhd 
vocoder +utils wavelet zeromq"
+IUSE="+audio +alsa +analog +digital channels ctrlport doc dtv examples fec 
+filter grc jack modtool oss performance-counters portaudio +qt5 sdl test 
trellis uhd vocoder +utils wavelet zeromq"
 
 #RESTRICT="!test? ( test )"
 #Tests are known broken right now
@@ -53,6 +53,7 @@ RDEPEND="${PYTHON_DEPS}
        sci-libs/mpir:=
        sci-libs/volk:=
        alsa? ( media-libs/alsa-lib:= )
+       ctrlport? ( $(python_gen_cond_dep 
'dev-python/thrift[${PYTHON_USEDEP}]') )
        fec? (
                sci-libs/gsl:=
                dev-python/scipy
@@ -88,7 +89,7 @@ RDEPEND="${PYTHON_DEPS}
        )
        vocoder? (
                media-sound/gsm
-               >=media-libs/codec2-0.8.1
+               >=media-libs/codec2-0.8.1:=
        )
        wavelet? (
                sci-libs/gsl:=
@@ -101,7 +102,7 @@ RDEPEND="${PYTHON_DEPS}
 #That's right, it can't build if gnuradio 3.7 is installed
 #Both due to build failure, and then file collision due to bundled volk
 DEPEND="${RDEPEND}
-       !<net-wireless/gnuradio-3.8
+       !!<net-wireless/gnuradio-3.8
        app-text/docbook-xml-dtd:4.2
        >=dev-lang/swig-3.0.5
        virtual/pkgconfig
@@ -137,6 +138,7 @@ src_configure() {
                -DENABLE_GR_AUDIO=ON
                -DENABLE_GR_ANALOG="$(usex analog)"
                -DENABLE_GR_CHANNELS="$(usex channels)"
+               -DENABLE_GR_CTRLPORT="$(usex ctrlport)"
                -DENABLE_GR_DIGITAL="$(usex digital)"
                -DENABLE_DOXYGEN="$(usex doc)"
                -DENABLE_GR_DTV="$(usex dtv)"
@@ -184,18 +186,18 @@ src_install() {
        rm -f "${ED}"/usr/libexec/${PN}/grc_setup_freedesktop || die
 
        # Install icons, menu items and mime-types for GRC
-       if use grc ; then
-               local fd_path="${S}/grc/scripts/freedesktop"
-               insinto /usr/share/mime/packages
-               doins "${fd_path}/${PN}-grc.xml"
+       #if use grc ; then
+       #       local fd_path="${S}/grc/scripts/freedesktop"
+       #       insinto /usr/share/mime/packages
+       #       doins "${fd_path}/${PN}-grc.xml"
 
-               domenu "${fd_path}/"*.desktop
-               doicon "${fd_path}/"*.png
-       fi
+       #       domenu "${fd_path}/"*.desktop
+       #       doicon "${fd_path}/"*.png
+       #fi
 
        python_fix_shebang "${ED}"
        # Remove incorrectly byte-compiled Python files and replace
-       find "${ED}"/usr/lib -name "*.py[co]" -exec rm {} \; || die
+       find "${ED}"/usr/lib* -name "*.py[co]" -exec rm {} \; || die
        python_optimize
 }
 

diff --git a/net-wireless/gnuradio/gnuradio-9999.ebuild 
b/net-wireless/gnuradio/gnuradio-9999.ebuild
index c7bc68e24c4f..5b2de67aa006 100644
--- a/net-wireless/gnuradio/gnuradio-9999.ebuild
+++ b/net-wireless/gnuradio/gnuradio-9999.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 PYTHON_COMPAT=( python3_{7,8,9} )
 
 CMAKE_BUILD_TYPE="None"

Reply via email to